package utils

import "cloud.o-forge.io/core/oc-lib/utils"

type DBObject interface {
	GetName() string
	Deserialize(j map[string]interface{}) DBObject
	GetAccessor(driver utils.Driver) Accessor
}

type Accessor interface {
	SetLogger()
	LoadOne(id string) DBObject
	DeleteOne(id string) DBObject
	StoreOne(data DBObject) DBObject
	UpdateOne(set map[string]interface{}, id string) DBObject
}
